Subject: bug#10784: 23.1; info doesn't follow link in Bison TOC

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Feb 2012 23:15:49 +0200

> | [tim@passepartout ~/src/emacs]$ zgrep 'Secure\?' /usr/share/info/bison.info.gz
> | * Secure?  Conform?::           Is Bison POSIX safe?
> | * Secure?  Conform?::           Is Bison POSIX safe?
> | File: bison.info,  Node: Multiple start-symbols,  Next: Secure? Conform?,  Prev: Implementing Gotos/Loops,  Up: FAQ
> | File: bison.info,  Node: Secure? Conform?,  Next: I can't build Bison,  Prev: Multiple start-symbols,  Up: FAQ
> | 11.6 Secure?  Conform?
> | File: bison.info,  Node: I can't build Bison,  Next: Where can I find help?,  Prev: Secure? Conform?,  Up: FAQ
> | Node: Secure? Conform?364602
> | [tim@passepartout ~/src/emacs]$
>
> Note the one vs. two spaces between "Secure?" and "Con-
> form?".  The link works with info (GNU texinfo) 4.13.  The
> bug is also present in a Emacs snapshot from early February.

Does this mean that info (GNU texinfo) 4.13 treats a sequence of spaces
in the names as one space character?  If yes, should info.el do the same
with a patch like this:

=== modified file 'lisp/info.el'
--- lisp/info.el	2012-02-12 20:24:02 +0000
+++ lisp/info.el	2012-02-12 21:11:33 +0000
@@ -1025,7 +1025,9 @@ (defun Info-find-node-2 (filename nodena
 	  (let ((guesspos (point-min))
 		(regexp (concat "\\(Node:\\|Ref:\\) *\\("
 				(if (stringp nodename)
-				    (regexp-quote nodename)
+				    (mapconcat 'regexp-quote
+					       (split-string nodename " +" t)
+					       " +")
 				  "")
 				"\\) *[,\t\n\177]")))